package com.syjy.calculate.repository;

import com.syjy.calculate.entity.CalculationFormula;
import org.springframework.stereotype.Repository;
import java.util.List;

/**
 * 公式计算
 *
 * @author zcl
 * @version 1.0
 * @since 2022/9/9 10:34
 */
@Repository
public interface CalculationFormulaRepository {

    /**
     * 创建公式表
     */
    void initTable();


    /**
     * 查询总数
     */
    int selectCount(String province, String type);

    /**
     * 查询公式列表
     */
    List<CalculationFormula> select(int limit, int offset, String province, String type);


    /**
     * 根据id获取一条
     */
    CalculationFormula getOne(int id);


    /**
     * 更新公式
     */
    int update(CalculationFormula calculationFormula);

    /**
     * 新增公式
     */
    int add(CalculationFormula calculationFormula);

    /**
     * 删除公式
     */
    int delete(int id);
    /**
     * 查询公式数据
     *
     * @param type 类型
     * @return 返回记录
     */
    CalculationFormula findByTypeAndProvince(String type, String formulaType,String province,String electricType,String stationCode);


    /**
     * 查询考核公式数据
     *
     * @param type 类型
     * @return 返回记录
     */
    CalculationFormula findAssessmentByTypeAndProvince(String type, String formulaType,String province,String electricType,String stationCode);


}
